import { IContainer } from '@ts-ioc/core';
import { LoggerAspect } from '@ts-ioc/logs';
import { Joinpoint } from '@ts-ioc/aop';
/**
 * debug lod aspect.
 *
 * @export
 * @class DebugLogAspect
 * @extends {LoggerAspect}
 */
export declare class DebugLogAspect extends LoggerAspect {
    constructor(container: IContainer);
    logging(joinPoint: Joinpoint): void;
    static classAnnations: any;
}
