import { ResultValue } from './ResultValue';
import { IContext } from '../IContext';
import { IContainer } from '@ts-ioc/core';
/**
 * controller method return result type of json.
 * context type 'application/json'
 *
 * @export
 * @class JsonResult
 */
export declare class JsonResult extends ResultValue {
    private data;
    constructor(data: object);
    sendValue(ctx: IContext, container: IContainer): Promise<void>;
    static classAnnations: any;
}
