import { IContext } from '../IContext';
import { IContainer } from '@ts-ioc/core';
/**
 * controller method return result type.
 *
 * @export
 * @abstract
 * @class ResultValue
 */
export declare abstract class ResultValue {
    contentType: string;
    constructor(contentType: string);
    abstract sendValue(ctx: IContext, container: IContainer): Promise<any>;
    static classAnnations: any;
}
