import { IContext } from '../IContext';
import { IContainer } from '@ts-ioc/core';
import { ResultValue } from './ResultValue';
/**
 * redirect url
 *
 * @export
 * @class RedirectResult
 * @extends {ResultValue}
 */
export declare class RedirectResult extends ResultValue {
    private url;
    private alt;
    constructor(url: string, alt?: string);
    sendValue(ctx: IContext, container: IContainer): Promise<void>;
    static classAnnations: any;
}
