import { Type, PropertyMetadata, IContainer, ObjectMap } from '@ts-ioc/core';
import { IConfiguration } from '../../IConfiguration';
export declare class ModelParser {
    private container;
    private config;
    constructor(container: IContainer, config: IConfiguration);
    isModel(type: Type<any>): boolean;
    protected getPropertyMeta(type: Type<any>): ObjectMap<PropertyMetadata[]>;
    parseModel(type: Type<any>, objMap: object): any;
    parseBaseType(type: any, paramVal: any): any;
    isBaseType(p: any): boolean;
    static classAnnations: any;
}
